#
# spec file for package ee (Version 0.3.12)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  audiofile esound esound-devel glib glib-devel gnome-libs gnome-libs-devel gpp gtk gtk-devel imlib imlib-devel libgpp libjpeg libpng libtiff libungif orbit orbit-devel xf86 xpm
# usedforbuild    aaa_base aaa_dir audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound esound-devel file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gnome-libs gnome-libs-devel gpm gpp gppshare grep groff gtk gtk-devel gzip imlib imlib-devel kbd less libgpp libjpeg libpng libtiff libtool libungif libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg orbit orbit-devel pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         ee
%define prefix   /opt/gnome
Copyright:    GPL
Group:        X11/Applications/Graphics 
Provides:     ee 
Autoreqprov:  on
Summary:      Electric Eyes - a generic image viewer
Version:      0.3.12
Release:      266
Source:       ftp://ftp.gnome.org/GNOME/sources/ee/ee-%{version}.tar.bz2
BuildRoot:    /var/tmp/ee-root

%description
Electric Eyes (ee) is useful if you want to view images (tiff, png,
jpeg, etc.).  It also has the ability to save images in a
number of popular formats.

Authors:
--------
    Changwoo Ryu <cwryu@adam.kaist.ac.kr>
    Gregory McLean <gregm@comstar.net>
    Miguel de Icaza <miguel@nuclecu.unam.mx>
    Owen Taylor <otaylor@gtk.org>
    Owen Taylor <owt1@cornell.edu>
    The Rasterman <raster@redhat.com>
    Tom Tromey <tromey@cygnus.com>
    Vincent Renardias <vincent@waw.com>

SuSE series: gnm

%prep
%setup

%build
%{?suse_update_config:%{suse_update_config -f}}
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix --with-gnome=%prefix
make

%install
make prefix=$RPM_BUILD_ROOT%{prefix} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS COPYING NEWS README
%{prefix}/bin/*
%{prefix}/share/gnome/*/*
%{prefix}/share/mime-info/*
%{prefix}/share/locale/*/*/*
%{prefix}/share/pixmaps/*

%changelog -n ee
* Tue May 15 2001 - froh@suse.de
- fixed suse_update_config
* Tue Mar 20 2001 - uli@suse.de
- added esound-devel to neededforbuild
* Thu Jan 04 2001 - egger@suse.de
- Fixed neededforbuild.
- Fixed specfile.
- Fixed filelist.
- Recompressed sources with bzip2.
* Wed Nov 01 2000 - egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Tue Sep 05 2000 - egger@suse.de
- Updated to version 0.3.12.
* Wed Jun 07 2000 - cihlar@suse.cz
- Group tag fixed
* Fri Oct 15 1999 - ke@suse.de
- update: 0.3.11.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Aug 20 1999 - ke@suse.de
- update: version 0.3.9.
- neededforbuild libungif instead of libgif.
- neededforbuild add orbit and orbitdev.
* Tue Jul 13 1999 - bs@suse.de
- use gtk and glib instead of gtkn and glibn
* Mon Apr 05 1999 - bs@suse.de
- fixed date strings in .changes.
* Thu Mar 04 1999 - ke@suse.de
- filelist.
- install ee.desktop.
* Fri Feb 19 1999 - ro@suse.de
- added esound and audiofil to neededforbuild
* Sun Feb 14 1999 - ke@suse.de
- update: version 0.3.8.
- improve filelist.
* Sun Jan 10 1999 - ke@suse.de
- update: version 0.3.5.
* Wed Dec 02 1998 - ke@suse.de
- initial package: version 0.3 (formerly part of gngraph).
